| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::DatabaseSettingsWidget Class Reference
Inheritance diagram for Digikam::DatabaseSettingsWidget:

## Public Types
enum | DatabaseType { SQlite = 0 , MysqlInternal = 1 , MysqlServer = 2 }

## Public Member Functions
| DatabaseSettingsWidget (QWidget *const parent=nullptr)
bool | checkDatabaseSettings ()
| For Sqlite or MysqlInternal, check properties of local path to store database files.
QString | databaseBackend () const
QString | databasePath () const
int | databaseType () const
DbEngineParameters | getDbEngineParameters () const
DbEngineParameters | orgDatabasePrm () const
void | setDatabasePath (const QString &path)
void | setDatabaseType (int type)
void | setParametersFromSettings (const ApplicationSettings *const settings, const bool &migration=false)

## Member Function Documentation

## ◆ checkDatabaseSettings()

bool Digikam::DatabaseSettingsWidget::checkDatabaseSettings | ( |  | ) |

For MysqlServer, check the network connection and database names.